Getting old bezier extension to work again

designpeg

  • *
  • Posts: 731
Hi, I'd love to use an old extension that uses the Actuate library. I'm assuming that if I put the correct  actuate or motion library folder in the right folder inside the stencyl app it will work? any advice anyone?

Justin

  • *
  • Posts: 4663
Yes.

Change the first line of the following script to point to where Stencyl is installed, and then run it in the terminal. This sets up your Haxe environment to be (roughly) the same as Stencyl's for that terminal session.

Code: [Select]
DIR="/Applications/Stencyl"

DIR="$DIR/plaf"

# HAXEPATH contains haxe and haxelib executables
# HAXE_STD_PATH is the Haxe Standard Library
# HAXELIB_PATH contains installed haxelibs
# NEKO_INSTPATH and NEKOPATH both point to the Neko install
# HAXEPATH and /usr/local/bin (for neko) are added to the path

export HAXEPATH="$DIR/haxe-bin/mac"
export HAXE_STD_PATH="$DIR/haxe-std/std"
export HAXELIB_PATH="$DIR/haxe/lib"
export NEKO_INSTPATH="$DIR/neko-mac"
export NEKOPATH="$DIR/neko-mac"
export PATH="$HAXEPATH":"$NEKOPATH":${PATH}

Then you just need to do this

Code: [Select]
haxelib install actuate 1.8.6
(I specified 1.8.6 because that was the last version we used with Stencyl. You could also leave out the version number and just get the latest version).

Finally, in Stencyl, in Settings > Advanced > OpenFL Settings, add the following line:

Code: [Select]
<haxelib name="actuate" />
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)

designpeg

  • *
  • Posts: 731
fantastic, thankyou!